CREATE FUNCTION "DBA"."getid_pl_lahet"()
returns integer
begin
  declare li_return integer;
  select max("lahetnr") + 1 into li_return from pl_lahet;
  if li_return is null or li_return < 1 then
    set li_return=1;
    while exists(select 1 from pl_lahet where "lahetnr" = li_return) loop
      set li_return=li_return+1
    end loop
  end if;
  return(li_return)
end